//Protractor LP
text_odd=8;
text_even=6.5;
radius=70;
odd_r=52;
even_r=43;
module ticks(num,space){
 for (i = [0 : num-1])
   rotate(a=space*i,v=[0,0,1]) children(0);}
pin_radius=2;
module curved(num, space) {
   for (j = [0 : num-1])
     rotate([0 , 0, space*-j]) children(0);}
//Base with pieces removed
difference(){
    union(){
cylinder(r=radius,h=2,$fn=36);
translate([0,0,2])
curved(9,20) rotate([-90,0,80])cylinder(h=radius-20,r=0.75,$fn=40);
    }
  translate([-80,-80,-0.5])cube([160,79.25,4]);
	cylinder(h=5,r=pin_radius,$fn=20);
	ticks(37,5){translate([radius,0,0]) rotate(a=60,v=[0,0,1])cylinder(r=1.5, h=2.2,$fn=3);}
    cylinder(h=1,r=pin_radius+1.5,$fn=20);}
//5 degrees ticks
curved(36,5){
rotate([0,0,-5])translate([-radius+2,0,2]) rotate([90,0,90]) cylinder(r=0.75,h=5,$fn=40);}
//even ticks
curved(10,20){
rotate([0,0,0])translate([-radius+2,0,2]) rotate([90,0,90]) cylinder(r=0.75,h=15,$fn=40);}
//odd ticks
curved(18,10){
rotate([0,0,-10])translate([-radius+2,0,2]) rotate([90,0,90]) cylinder(r=0.75,h=8,$fn=40);}
//Odd Numbers
rotate([0,0,80])translate([0,odd_r,2])color("blue")linear_extrude(1)text("170",size=text_odd,halign="center",valign="baseline");
rotate([0,0,60])translate([0,odd_r,2])color("blue")linear_extrude(1)text("150",size=text_odd,halign="center",valign="baseline");
rotate([0,0,40])translate([0,odd_r,2])color("blue")linear_extrude(1)text("130",size=text_odd,halign="center",valign="baseline");
rotate([0,0,20])translate([0,odd_r,2])color("blue")linear_extrude(1)text("110",size=text_odd,halign="center",valign="baseline");
translate([0,odd_r,2])color("blue")linear_extrude(1)text("90",size=text_odd,halign="center",valign="baseline");
rotate([0,0,-20])translate([0,odd_r,2])color("blue")linear_extrude(1)text("70",size=text_odd,halign="center",valign="baseline");
rotate([0,0,-40])translate([0,odd_r,2])color("blue")linear_extrude(1)text("50",size=text_odd,halign="center",valign="baseline");
rotate([0,0,-60])translate([0,odd_r,2])color("blue")linear_extrude(1)text("30",size=text_odd,halign="center",valign="baseline");
rotate([0,0,-80])translate([0,odd_r,2])color("blue")linear_extrude(1)text("10",size=text_odd,halign="center",valign="baseline");
//Even numbers
rotate([0,0,0])translate([-even_r,-0.5,2])color("blue")linear_extrude(1)text("180",size=text_even,halign="center",valign="baseline");
rotate([0,0,70])translate([0,even_r+1,2])color("blue")linear_extrude(1)text("160",size=text_even,halign="center",valign="baseline");
rotate([0,0,50])translate([0,even_r+1,2])color("blue")linear_extrude(1)text("140",size=text_even,halign="center",valign="baseline");
rotate([0,0,30])translate([0,even_r+1,2])color("blue")linear_extrude(1)text("120",size=text_even,halign="center",valign="baseline");
rotate([0,0,10])translate([0,even_r+1,2])color("blue")linear_extrude(1)text("100",size=text_even,halign="center",valign="baseline");
rotate([0,0,-10])translate([0,even_r,2])color("blue")linear_extrude(1)text("80",size=text_even,halign="center",valign="baseline");
rotate([0,0,-30])translate([0,even_r,2])color("blue")linear_extrude(1)text("60",size=text_even,halign="center",valign="baseline");
rotate([0,0,-50])translate([0,even_r,2])color("blue")linear_extrude(1)text("40",size=text_even,halign="center",valign="baseline");
rotate([0,0,-70])translate([0,even_r,2])color("blue")linear_extrude(1)text("20",size=text_even,halign="center",valign="baseline");
rotate([0,0,0])translate([even_r+4,-0.5,2])color("blue")linear_extrude(1)text("0",size=text_even,halign="center",valign="baseline");
//0 and 180
translate([-3,0,2])rotate([-90,0,90])cylinder(h=30,r=0.75,$fn=40);
translate([3,0,2])rotate([-90,0,-90])cylinder(h=30,r=0.75,$fn=40);
//45 degrees
/*
module dashed1(num, space) {
   for (k = [0 : num-1])
     translate([space*k, space*k,0]) children(0);}
dashed1(6,7.1){
translate([2,2,2]) rotate([-90,0,-45]) cylinder(r=1,h=5,$fn=40);}
module dashed2(num, space) {
   for (k = [0 : num-1])
     translate([space*-k, space*k,0]) children(0);}
dashed2(6,7.1){
translate([-2,2,2]) rotate([-90,0,45]) cylinder(r=1,h=5,$fn=40);}
 */
//arm leveller
translate([0,0,0])
difference(){
cylinder(h=3,r=5,$fn=40);
	cylinder(h=3,r=pin_radius,$fn=20);
    cylinder(h=1,r=pin_radius+1.5,$fn=20);}
   